import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading ZebraMediaSensorToGeneric Converter")

class ZebraMediaSensorToGeneric(Converter):
    def Execute(self, args):
        res = ""
        if args[0] == "gap/notch":
            res = "Gap"
        elif args[0] == "mark":
            res = "Mark"
        elif args[0] == "continuous":
            res = "None"
        return res




plugin = ZebraMediaSensorToGeneric("ZebraMediaSensorToGeneric")

store.AddConverter(plugin)